- [HTTP request](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta1/organizations.assets/updateSecurityMarks#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta1/organizations.assets/updateSecurityMarks#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta1/organizations.assets/updateSecurityMarks#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta1/organizations.assets/updateSecurityMarks#body.request_body)
- [Response body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta1/organizations.assets/updateSecurityMarks#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta1/organizations.assets/updateSecurityMarks#body.aspect)
- [Try it!](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta1/organizations.assets/updateSecurityMarks#try-it)

Updates security marks.

### IAM Permissions

Requires one of the following IAM permissions on the resource specified in the `securityMarks.name` field (depending on the resource type):

- `securitycenter.assetsecuritymarks.update`
- `securitycenter.findingsecuritymarks.update`

### HTTP request

Choose an endpoint:
global me-central2 us eu   
`PATCH https://securitycenter.googleapis.com/v1beta1/{securityMarks.name=organizations/*/assets/*/securityMarks}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `securityMarks.name` | `string` The relative resource name of the SecurityMarks. See: <https://cloud.google.com/apis/design/resource_names#relative_resource_name> Examples: "organizations/{organizationId}/assets/{asset_id}/securityMarks" "organizations/{organizationId}/sources/{source_id}/findings/{findingId}/securityMarks". |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` The FieldMask to use when updating the security marks resource. |
| `startTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` The time at which the updated SecurityMarks take effect. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta1/organizations.sources.findings#SecurityMarks`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta1/organizations.sources.findings#SecurityMarks`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/securitycenter`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).